httpie(1)

NAME
httpie

SYNOPSIS
httpie

DESCRIPTION
Managing interface for the HTTPie itself. <https://httpie.io/docs#manager> Be aware that you might be looking for http/https commands for sending HTTP requests. This command is only available for managing the HTTTPie plugins and the configuration around it. If you are looking for the man pages of http/https commands, try one of the following:
    $ man http
    $ man https

httpie cli export-args
Export available options for the CLI

-f, --format
    Format to export in.

httpie cli check-updates
Check for updates

httpie cli sessions upgrade
Upgrade the given HTTPie session with the latest layout. A list of changes between different session versions can be found in the official documentation.

HOSTNAME
    The host this session belongs.

SESSION_NAME_OR_PATH
    The name or the path for the session that will be upgraded.

--bind-cookies
    Bind domainless cookies to the host that session belongs.

httpie cli sessions upgrade-all
Upgrade all named sessions with the latest layout. A list of changes between different session versions can be found in the official documentation.

--bind-cookies
    Bind domainless cookies to the host that session belongs.

httpie cli plugins install
Install the given targets from PyPI or from a local paths.

TARGET
    targets to install

httpie cli plugins upgrade
Upgrade the given plugins

TARGET
    targets to upgrade

httpie cli plugins uninstall
Uninstall the given HTTPie plugins.

TARGET
    targets to install

httpie cli plugins list
List all installed HTTPie plugins.

httpie plugins install
Install the given targets from PyPI or from a local paths.

TARGET
    targets to install

httpie plugins upgrade
Upgrade the given plugins

TARGET
    targets to upgrade

httpie plugins uninstall
Uninstall the given HTTPie plugins.

TARGET
    targets to install

httpie plugins list
List all installed HTTPie plugins.